function normalizeCustomAttributes(ssoAttributes) {
  return ssoAttributes.map((attribute) => {
    const { id, ...restAttribute } = attribute;
    const filtered = typeof attribute.id === 'number' ? { ...attribute } : restAttribute;

    if (filtered.allHubs) {
      filtered.ssoCustomAttributesHubs = [];
    }

    return filtered;
  });
}

export default normalizeCustomAttributes;
